<?php

define('PHPR_VERSION', '5.0');


// paths
define('PHPR_HOST_PATH', '@@PROTO@@@@DOMAIN_NAME@@/'); // absolute path to host, e.g. http://myhost/
define('PHPR_INSTALL_DIR', '@@INSTALL_PREFIX@@/'); // installation directory below host, e.g. myInstallation/of/phprojekt5/

// database
define('PHPR_DB_TYPE',   'mysql');     // Type of database system
define('PHPR_DB_HOST',   '@@DB_STRING@@');     // Location of the database
define('PHPR_DB_USER',   '@@DB_USER@@');     // Username for the access
define('PHPR_DB_PASS',   '@@DB_PASS@@');     // Password for the access
define('PHPR_DB_NAME',   '@@DB_NAME@@');     // Name of the database
define('PHPR_DB_PREFIX', '');   // 

// system
define('PHPR_SESSION_NAME', 'PHPRE049B');
define('PHPR_LOGIN_SHORT', '2');          // Login name - 0: last name, 1: short name, 2: login name
define('PHPR_PW_CHANGE', '1');            // Password change
define('PHPR_PW_CRYPT', '1');              // Encrypt passwords
define('PHPR_ACC_ALL_GROUPS', '0');         // Option to release objects in all groups
define('PHPR_ACC_DEFAULT', '1');               // Default access mode: private=0, group=1
define('PHPR_ACC_WRITE_DEFAULT', '');   // Default write access mode: private=0, group=1
define('PHPR_LDAP', '0');                             // use LDAP
define('PHPR_TIMEZONE', '0');                     // Timezone difference [h] Server - user
define('PHPR_SESSION_TIME_LIMIT', '0'); // Time limit for sessions
define('PHPR_MAXHITS', '30');                       // max. hits displayed in search module
define('PHPR_LOGS', '1');                             // Logging
define('PHPR_HISTORY_LOG', '1');               // Log history of records
define('PHPR_ERROR_REPORTING_LEVEL', '0');                // 0: default mode, 1: Only for debugging mode
define('PHPR_SUPPORT_PDF', '1');
define('PHPR_SUPPORT_HTML', '1');
define('PHPR_SUPPORT_CHART', '1');
define('PHPR_DOC_PATH', 'docs');
define('PHPR_ATT_PATH', 'attach');
define('PHPR_FILE_PATH', '@@ROOT_DIR@@/files');
define('PHPR_FILTER_MAXHITS', '20');
define('PHPR_ROLES', '1');
define('PHPR_DEFAULT_VISI', '0');
define('PHPR_ACCESS_GROUPS', '0');
define('PHPR_COMPATIBILITY_MODE', '');

// modules
define('PHPR_VOTUM', '1');              // Voting system yes = 1, no = 0
define('PHPR_BOOKMARKS', '1');  // Bookmarks yes = 1, no = 0
define('PHPR_LINKS', '1');

// calendar
define('PHPR_CALENDAR', '1');                        // Calendar
define('PHPR_GROUPVIEWUSERHEADER', '1');  // Header groupviews
define('PHPR_MAIL_NEW_EVENT', '1');            // Notification on new event in others calendar
define('PHPR_DAY_START', '8');                  // First hour of the day:: 6,7,8,9
define('PHPR_DAY_END', '20');                      // Last hour of the day:: 17,18,19,21
define('PHPR_CALENDAR_DATECONFLICTS_MAXDAYS', '10');
define('PHPR_CALENDAR_DATECONFLICTS_MAXHITS', '10');

// reminder
define('PHPR_REMINDER', '0');                      // Reminder, Alarm x minutes before the event: = 2
define('PHPR_REMIND_FREQ', '15');                // 
define('PHPR_SMS_REMIND_SERVICE', '0');  // Reminds via SMS/Email

// projects
define('PHPR_PROJECTS', '2'); // Project management yes = 1, no = 0, additionally assign resources to events: = 2

// timecard
define('PHPR_TIMECARD', '2'); // Timecard, Mail to the chief: = 2
define('PHPR_TIMECARD_DELETE', '1');
define('PHPR_TIMECARD_CHANGE', '60');
define('PHPR_TIMECARD_NETTO', '');

// contacts
define('PHPR_CONTACTS', '1');                   // Address book  = 1, nein = 0
define('PHPR_CONT_USRDEF1', 'Userdefined 1');           // Name of userdefined field 1
define('PHPR_CONT_USRDEF2', 'Userdefined 2');           // Name of userdefined field 2
define('PHPR_CONTACTS_PROFILES', '1'); // Profiles for contacts
define('PHPR_CALLTYPE', 'callto');

// notes
define('PHPR_NOTES', '1'); // Notes

// todo
define('PHPR_TODO', '1');                // Todo-Lists yes = 1, no = 0
define('PHPR_TODO_OPTION_ACCEPTED', ''); // Select-Option accepted available = 1, not available = 0

// mail
define('PHPR_QUICKMAIL', '2');         // Mail no = 0, only send = 1, send and receive = 2
define('PHPR_FAXPATH', '');             // Path to sendfax
define('PHPR_MAIL_SEND_ARG', ''); // Adds '-f' as 5. parameter to mail(), see php manual
define('PHPR_MAIL_EOL', "\n"); // end of line in body; e.g. \r\n (conform to RFC 2821 / 2822)
define('PHPR_MAIL_EOH', "\n"); // end of header line; e.g. \r\n (conform to RFC 2821 / 2822)
define('PHPR_MAIL_MODE', '0');      // Sendmail mode: 0: use mail(); 1: use socket
define('PHPR_MAIL_AUTH', '0');  // Authentication - 0:No Authentication,1:with POP before SMTP,2:SMTP auth (via socket only!)
// SMTP account data (only needed in case of socket)
define('PHPR_SMTP_HOSTNAME', 'localhost');  // the real address of the SMTP mail server, you have access to (maybe localhost)
define('PHPR_LOCAL_HOSTNAME', '@@DOMAIN_NAME@@');   // name of the local server to identify it while HELO procedure
// fill out in case of authentication via POP before SMTP
define('PHPR_POP_ACCOUNT', 'itsme'); // real username for POP before SMTP
define('PHPR_POP_PASSWORD', 'mypw'); // password for this pop account
define('PHPR_POP_HOSTNAME', 'mypop.domain.net'); // the POP server
// fill out in case of SMTP authentication
define('PHPR_SMTP_ACCOUNT', 'itsme'); // real username for SMTP auth
define('PHPR_SMTP_PASSWORD', 'mypw'); // password for this account

// file manager
define('PHPR_FILEMANAGER', '1');   //  File management no = 0,  yes = 1
define('PHPR_FILEMANAGER_NOTIFY', '1');         // Enables mail notification on new elements
#$filemanager_versioning = '1'; // Enables versioning for files ----> deprecated <----

// forum
define('PHPR_FORUM', '1');                     // Forum yes = 1, no = 0
define('PHPR_FORUM_TREE_OPEN', '1'); // default mode for forum tree: 1 - open, 0 - closed;
define('PHPR_FORUM_NOTIFY', '1');       // Enables mail notification on new elements

// helpdesk - rts
define('PHPR_RTS', '1');                   // Help desk
define('PHPR_RTS_MAIL', '');         // Email Address of the support
define('PHPR_RTS_DUEDATE', '0');   // 1: Helpdesk: Customer can set a due date
#define('PHPR_RTS_CHEF', '0');         // Helpdesk: Assigning request: 0: by everybody, 1: only by persons with status 'chief' ----> deprecated <----
define('PHPR_RTS_CUST_ACC', '0'); // 1: Helpdesk: Customer Authentification, 0: open to all, email-address is sufficient<br>1: registered contact enter his family name<br>2: his email

// chat
define('PHPR_CHAT', '1');                // Chat yes = 1, no = 0
define('PHPR_ALIVEFILE', 'alive');
define('PHPR_CHATFILE', 'chat.txt');
define('PHPR_CHATFREQ', '10000');
define('PHPR_ALIVEFREQ', '30000');
define('PHPR_MAX_LINES', '2000');
define('PHPR_CHAT_TIME', '1');     // Timestamp for chat messages
define('PHPR_CHAT_NAMES', '0');   // Name format in chat list
                                  // 0: last name, 1: first name, 2: first name, last name,<br> &nbsp; &nbsp; 3: last name, first name

// layout
define('PHPR_SKIN', '@@SKIN@@');
define('PHPR_DEFAULT_SIZE', '40'); // Default size of form elements
define('PHPR_CUR_SYMBOL', '@@CURRENCY@@');     // Currency symbol
define('PHPR_BGCOLOR1', '#C2C2C2');         // First background color
define('PHPR_BGCOLOR2', '#D5D5D5');         // Second background color
define('PHPR_BGCOLOR3', '#E0E0E0');         // Third background color
define('PHPR_BGCOLOR_MARK', '#E6DE90'); // Color to mark rows
define('PHPR_BGCOLOR_HILI', '#FFFFFF'); // Color to highlight rows
define('PHPR_LOGO', 'img/logo.gif');                 // company icon yes = insert name of image
define('PHPR_HP_URL', '@@HOMEPAGE_URL@@');             // URL to the homepage of the company, no = leave empty
define('PHPR_TR_HOVER', '1');         // Highlight list records with 'mouseover'

?>
